import { Component } from 'react';
import { TFunc, TFuncArgs } from '../../../types/generics';
export default class ReCAPTCHA extends Component<{
    sitekey: string;
    onChange: TFuncArgs;
    grecaptcha?: any;
    theme?: string;
    type?: string;
    tabindex?: number;
    onExpired?: TFunc;
    onErrored?: TFunc;
    size?: string;
    stoken?: string;
    hl?: string;
    badge?: string;
    isolated?: boolean;
}> {
    _widgetId: undefined;
    captcha: HTMLDivElement | undefined;
    _executeRequested: boolean;
    executionResolve?: TFuncArgs;
    executionReject?: TFunc;
    static defaultProps: {
        onChange: TFuncArgs;
        theme: string;
        type: string;
        tabindex: number;
        size: string;
        badge: string;
    };
    constructor(props: {
        sitekey: string;
        onChange: TFuncArgs;
        grecaptcha?: any;
        theme?: string;
        type?: string;
        tabindex?: number;
        onExpired?: TFunc;
        onErrored?: TFunc;
        size?: string;
        stoken?: string;
        hl?: string;
        badge?: string;
        isolated?: boolean;
    });
    getValue(): any;
    getWidgetId(): null;
    execute(): any;
    executeAsync(): Promise<unknown>;
    reset(): void;
    forceReset(): void;
    handleExpired(): void;
    handleErrored(): void;
    handleChange(token: string | null): void;
    explicitRender(): void;
    componentDidMount(): void;
    componentDidUpdate(): void;
    handleRecaptchaRef(elem: HTMLDivElement): void;
    render(): JSX.Element;
}
